import { AuthService, OpenAPI, RunnerService, RunnerTeamService, ScanService } from "@odit/lfk-client-node";
import * as dotenv from 'dotenv';
dotenv.config()

const groupID = 3;
const distanceMeter = 69;

OpenAPI.BASE = process.env.BASE_URL;
const user = process.env.USER;
const password = process.env.PASSWORD;

if(!user || !password || !OpenAPI.BASE){
    process.exit(1)
}

const auth = await AuthService.authControllerLogin({ username: user, password });
OpenAPI.TOKEN = auth.access_token;
console.log("Logged in")

const team = await RunnerTeamService.runnerTeamControllerGetOne(groupID);
if (!team) {
    process.exit(1)
}

const runners = await RunnerService.runnerControllerGetAll();
const groupRunners = runners.filter((r) => r.group.id == team.id);

const scans = [];
for (const runner of groupRunners) {
    scans.push(ScanService.scanControllerPost({ distance: distanceMeter, runner: runner.id, valid: true }))
}
await Promise.all(scans);